using Cysharp.Threading.Tasks;
using Enums;
using UnityEngine;
using Views;

namespace Services.Interfaces {
    public interface IGameBoardService {
        void Setup();
        
        UniTask<bool> TrySwap(Vector2Int from, Vector2Int to);
    }
}